/*
 * Class ITERATION_CURSOR [INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1662 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1662 [] = {0xFF01,1551,1661,869,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1662 [] = {0xFF01,1661,869,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1662 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1662 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1662 [] = {0xFF01,1661,869,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1662 [] = {0xFF01,1661,869,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1662 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1662 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1662 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1662 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1662 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1662 [] = {1661,869,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1662 [] = {0xFF01,1661,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1662 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1662 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1662[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1662), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1662), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1662), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1662), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1662), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1662), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1662), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1662), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1662), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1662), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1662), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1662), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1662), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1662), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1662), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1662), -1, 0xFFFFFFFF},
};
void Init1662(void)
{
	IDSC(desc_1662, 0, 1661);
	IDSC(desc_1662 + 1, 1, 1661);
	IDSC(desc_1662 + 32, 1449, 1661);
}


#ifdef __cplusplus
}
#endif
